// Copy and paste these functions into your code, or include them, like this:
//
// <script src='cookiefunctions.js'></script>

function SetCookie(name, value, seconds, path, domain, secure)
{
   var date = new Date()
   date.setTime(date.getTime() + seconds * 1000)
   
   var expires = seconds ? ';expires=' + date.toGMTString() : ''
   path        = path    ? ';path='    + path               : ''
   domain      = domain  ? ';domain='  + domain             : ''
   secure      = secure  ? ';secure'                        : ''
   document.cookie = name + '=' + escape(value) + expires + path + domain + secure
}

function GetCookie(name)
{
  var dc    = ';' + document.cookie
  var start = dc.indexOf(';' + name + '=')

  if (start == -1) return false

  start  += name.length + 1
  var end = dc.indexOf(';', start)
  end     = (end == -1) ? dc.length : end

  return unescape(dc.substring(start, end))
}

function DeleteCookie(name)
{
   SetCookie(name, '', -360)
}
