function OnDOMReady(func)
{
  var timer = setInterval(onChange, 5)
  var ready = false

  if(document.addEventListener) document.addEventListener(
    "DOMContentLoaded", onChange, false)

  document.onreadystatechange = window.onload = onChange

  function onChange(e)
  {
    if(e && e.type == "DOMContentLoaded")
    {
      fireDOMReady()
    }
    else if(e && e.type == "load")
    {
      fireDOMReady()
    }
    else if(document.readyState)
    {
      if((/loaded|complete/).test(document.readyState))
      {
        fireDOMReady()
      }
      else if(!!document.documentElement.doScroll)
      {
        try
        {
          ready || document.documentElement.doScroll('left')
        }
        catch(e)
        {
          return
        }

        fireDOMReady()
      }
    }
  }

  function fireDOMReady()
  {
    if(!ready)
    {
      ready = true
      func.call()

      if(document.removeEventListener) document.removeEventListener(
        "DOMContentLoaded", onChange, false)

      clearInterval(timer)
      document.onreadystatechange = window.onload = timer = null
    }
  }
}
